1. Top up eSIM
Airalo Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • Developer feedback
    • Quick start
      • Step 1: Request access token
      • Step 2: Get packages
      • Step 3: Submit order
      • Step 4: Get installation instructions
    • Guides
      • How to set up a brand for eSIMs Cloud link sharing
      • How to get the eSIMs Cloud sharing link through API
      • How to generate the QR code for an eSIM
      • eSIM installation methods for API Partners
  • REST API
    • Introduction
    • Rate limits
    • Error handling
    • Go live checklist
    • Sandbox mode
    • Endpoints
      • Authenticate
        • Request access token
      • Browse packages
        • Get packages
      • Place order
        • Future orders
        • Submit order
        • Submit order async
        • eSIM voucher
      • Request refund
        • Request refund
      • Install eSIM
        • Get eSIM
        • Get installation instructions
      • Monitor usage
        • Get usage (data, text & voice)
      • Top up eSIM
        • Get top-up package list
          GET
        • Submit top-up order
          POST
      • Manage orders
        • Get order list
        • Get order
        • Cancel future orders
        • Future Orders
      • Manage eSIMs
        • Update eSIM brand
        • Get eSIMs list
        • Get eSIM package history
      • Compatible devices
        • [Deprecated] Get compatible device list
        • Get compatible device lite list
      • Notifications
        • Airalo webhooks opt-in and flow
        • Webhooks guide
        • Webhook definition
        • Notification: Low data
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Credit limit
          • Opt in
          • Get notification details
          • Opt out
        • Notification: Async orders
          • Opt in
          • Get notification details
          • Opt out
        • Webhook simulator
      • Check balance
        • Get balance
  • SDKs
    • Introduction
    • SDK vs. REST API
    • Technical notes
  • WOOCOMMERCE PLUGIN
    • Introduction
    • Guides
      • How to install the Airalo Plugin for WooCommerce
      • How to customize the "My eSIMs" page colors in WooCommerce
      • How to convert prices into your local currency
  1. Top up eSIM

Get top-up package list

GET
/v2/sims/{iccid}/topups
Overview
Use this endpoint to retrieve the top-up packages that can be purchased for a specific eSIM. When you call the endpoint with an eSIM’s ICCID, the response returns the eligible top-up packages for that eSIM (based on the ICCID provided). The endpoint supports new type of packages: “Voice and Text”.
This endpoint is designed for the top-up flow: it helps you present only the top-ups that are actually available for the eSIM’s operator/configuration, along with the package details you need to display and sell them (e.g., package ID, price, data amount, and duration).⁠
Note for unlimited packages
For unlimited packages the remaining, total and amount fields will default to 0 should be ignored, and not displayed to the end users.
When in Sandbox mode, the is_unlimited field can be false for an unlimited package ordered, due to not having real eSIMs available, thus don't reflect real usage.
How to use this endpoint
Make a request to this endpoint and provide the iccid of the eSIM for which you want to retrieve top-up packages for.
The API will respond with a JSON object containing an array of purchased top-up packages for the eSIM, each of which includes an ID, remaining data amount, activation and expiration dates, and other relevant information.
For more information and best practices visit our FAQ page.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partners-api.airalo.com/v2/sims/8910300000005271146/topups' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'url: https://partners-api.airalo.com'

Responses

🟢200eSIM: List available top-up packages: 200 OK
application/json
Bodyapplication/json

Examples
{
    "pricing": {
        "model": "net_pricing",
        "discount_percentage": 0
    },
    "data": [
        {
            "id": "bonbon-mobile-30days-3gb-topup",
            "type": "topup",
            "price": 10,
            "amount": 3072,
            "day": 30,
            "is_unlimited": false,
            "title": "3 GB - 100 SMS - 100 Mins - 30 Days",
            "data": "3 GB",
            "short_info": "This eSIM doesn't come with a phone number.",
            "voice": 100,
            "text": 100,
            "net_price": 8
        },
        {
            "id": "bonbon-mobile-30days-5gb-topup",
            "type": "topup",
            "price": 14,
            "amount": 5120,
            "day": 30,
            "is_unlimited": false,
            "title": "5 GB - 30 Days",
            "data": "5 GB",
            "short_info": "This eSIM doesn't come with a phone number.",
            "voice": 100,
            "text": 100,
            "net_price": 11.2
        },
        {
            "id": "bonbon-mobile-30days-10gb-topup",
            "type": "topup",
            "price": 23,
            "amount": 10240,
            "day": 30,
            "is_unlimited": false,
            "title": "10 GB - 30 Days",
            "data": "10 GB",
            "short_info": "This eSIM doesn't come with a phone number.",
            "voice": 100,
            "text": 100,
            "net_price": 18.4
        }
    ]
}
🟢200eSIM: List available top-up packages: 200 (No top-up packages available)
🟢200eSIM: List available top-up packages: 404 (Invalid ICCID)
🟠422eSIM: List available top-up packages: (Recycled Sim Response 422)
🟢200(Discount pricing) eSIM: List available top-up packages
Modified at 2026-05-13 13:39:02
Previous
Top up eSIM
Next
Submit top-up order
Built with